System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner To be added.

Extends design-time behavior for template-based server controls.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.Design.ITemplateEditingFrame To be added.

  The property is obsolete. Use the property to expose or enumerate templates within a designer for template-based controls.

  Gets the active template editing frame.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether or not this designer will allow the viewing or editing of templates.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.Design.ITemplateEditingFrame `` To be added.

  When overridden in a derived class, creates a template editing frame for the specified verb.

  The new template editing frame.

  The template editing verb to create a template editing frame for. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the designer allows data binding.

- Method
  System.Void ``

  The method is obsolete. Use the property to manipulate templates within a designer for template-based controls.

  If already in template mode and editing a different template frame, this method calls to save all its templates and close that frame.

  Opens a particular template frame object for editing in the designer.

  The template editing frame object to open in the designer. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.Void `` `` ``

  The method is obsolete. Use the property to manipulate templates within a designer for template-based controls.

  Closes the currently active template editing frame after saving any relevant changes.

  true when switching from one template editing frame to another; otherwise false. true if this designer is nested (one or more levels) within another control whose designer is also in template editing mode; otherwise false. true if templates should be saved on exit; otherwise, false. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.Web.UI.Design.TemplateEditingVerb[]

  The method is obsolete. Use the property to manipulate templates within a designer for template-based controls.

  Gets the cached template editing verbs.

  An array of objects, if any.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.String To be added.

  Gets the markup to persist for the content that is in the associated server control runtime.

  The persistable inner HTML.

  1.0.5000.0
- Method
  System.String ``

  The method is obsolete. Use the property of the collection elements to examine template metadata within a designer for template-based controls.

  Gets the data item property of the template's container.

  A string representing the data.

  The name of the template. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.Collections.IEnumerable `` To be added.

  Gets the data source of the template's container.

  The data source of the container of the specified template.

  The name of the template. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.Web.UI.Design.TemplateEditingVerb[] To be added.

  Gets the template editing verbs available to the designer.

  The template editing verbs available to the designer.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.Web.UI.ITemplate `` To be added.

  Creates a template from the specified text.

  An from the specified text.

  The text to retrieve a template from. 1.0.5000.0 2.0.0.0
- Method
  System.Type ``

  The method is obsolete. Use the property of the collection elements to examine template metadata within a designer for template-based controls.

  Gets the type of the parent of the template property.

  The type of the object that has the template property.

  The name of the template to return the type of the parent for. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Method
  System.String `` To be added.

  Gets a string of text that represents the specified template.

  A string that represents the specified template.

  The to convert to text. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added.

  The property is never hidden.

  Gets a value indicating whether the properties of the control will be hidden when the control is placed into template editing mode.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Initializes the designer and loads the specified component.

  The control element being designed.
- Property
  System.Boolean To be added.

  The property is obsolete. Use the property for equivalent control designer functionality.

  A document is in template mode when a template is currently being viewed or edited in the forms designer.

  Gets a value indicating whether the designer document is in template mode.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.InTemplateMode instead")
- Method
  System.Void

  The method is obsolete. Use the and methods on the property to map properties to styles.

  Provides an opportunity to perform additional processing when a behavior is attached to the designer.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.Tag instead")
- Method
  System.Void `` ``

  This method is called after a property has been changed. It allows the implementer to perform any post-processing that may be needed after a property change.

  Delegate to handle the component changed event.

  The object sending the event. A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Provides an opportunity to perform additional processing when the parent of this designer is changed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The event is raised by the designer host for certain actions on a control in the design surface. For example, an event is raised when the user enters or exits template editing mode for a control.

  The class supplies a default delegate to handle the event. Classes deriving from the override the method to process events that are raised when the template mode changes for the associated control.

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  The default delegate performs the updates that are required for a template mode change event in the base class, and then calls the method. The base method in the class returns without performing any additional processing for the event. If a class derives from the and overrides the base method, the default delegate calls the override method in the derived class.

  Use the property to determine whether the control designer is in template editing mode currently.

  Provides an opportunity to perform additional processing when the template mode is changed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called immediately before its corresponding Post method. If you are overriding this method, you should call the base implementation before you perform your own filtering.

  Allows a designer to filter the set of member attributes the component it is designing through a object.

  The augmented set of attributes. If the method does not modify any attributes, it returns a reference to its input parameter. If you do make a change to the attributes, you must create a new array.

  The member attributes for component. 1.0.5000.0
- Method
  System.Void To be added.

  Saves the active template editing frame.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added.

  When overridden in a derived class, sets the specified template's content to the specified content.

  The template editing frame to provide content for. The name of the template. The content to set for the template. 1.0.5000.0 2.0.0.0 System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")
- Property
  2.0.0.0
  System.Web.UI.Design.TemplateGroupCollection To be added. To be added.

  Gets a collection of template groups, each containing a template definition.

- Method
  System.Void

  You should call this method to refresh the design-time display if the template frames have been changed without calling methods that update the design-time HTML automatically.

  Updates the design-time HTML.

  1.0.5000.0
  2.0.0.0